# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate vte

Name:           rust-%{crate}
Version:        0.3.3
Release:        1%{?dist}
Summary:        Parser for implementing terminal emulators

# Upstream license specification: Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/vte
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(utf8parse/default) >= 0.1.0 with crate(utf8parse/default) < 0.2.0)

%global _description \
Parser for implementing virtual terminal emulators in Rust.\
\
The parser is implemented according to Paul Williams' ANSI parser state\
machine. The state machine doesn't assign meaning to the parsed data and is\
thus not itself sufficient for writing a terminal emulator. Instead, it is\
expected that an implementation of the Perform trait which does something\
useful with the parsed data. The Parser handles the book keeping, and the\
Perform gets to simply handle actions.

%description %{_description}

%package        devel
Summary:        %{summary}

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc CHANGELOG.md README.md examples
%license LICENSE-APACHE LICENSE-MIT
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

# Fix broken example
mv foos benches

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Apr 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.3-1
- Initial package
